<?php
namespace App\metier;

class Evenement
{
    /**
     * @var int Identifiant
     */
    private int $id;

    /**
     * @var string Nom Evenement
     */
    private string $nom;

    /**
     * @var string Date de l'evenement
     */
    private string $date;

    /**
     * @var Alumni Organisateur
     */
    private Alumni $organisateur;

    /**
     * @var array Liste des Participants
     */
    private array $participants;

    /**
     * @var int Nombre maximal d'inscrits
     */
    private int $nbInscriptionMax;

    /**
     * @var string Url de l'image
     */
    private string $imageUrl;

    /**
     * @param int $id
     * @param string $nom
     * @param string $date
     * @param Alumni $organisateur
     * @param array $participants
     * @param int $nbInscriptionMax
     * @param string $imageUrl
     */
    public function __construct(int $id, string $nom, string $date, Alumni $organisateur, array $participants, int $nbInscriptionMax, string $imageUrl)
    {
        $this->id = $id;
        $this->nom = $nom;
        $this->date = $date;
        $this->organisateur = $organisateur;
        $this->participants = $participants;
        $this->nbInscriptionMax = $nbInscriptionMax;
        $this->imageUrl = $imageUrl;
    }

    public function getId(): int
    {
        return $this->id;
    }

    public function getNom() : string
    {
        return $this->nom;
    }

    public function getDate() : string
    {
        return $this->date;
    }

    public function getParticipants() : array
    {
        return $this->participants;
    }

    public function getOrganisateur(): Alumni
    {
        return $this->organisateur;
    }

    public function getNbInscriptionMax(): int
    {
        return $this->nbInscriptionMax;
    }

    public function getImageUrl(): string
    {
        return $this->imageUrl;
    }
}